Package org.jbpm.services.task.commands

## Class TaskContext

- java.lang.Object
- - org.jbpm.services.task.commands.TaskContext

- All Implemented Interfaces:
    `org.kie.api.runtime.Context`, `org.kie.api.runtime.RequestContext`, `org.kie.api.task.TaskContext`, `org.kie.internal.task.api.TaskContext`

      public class TaskContext
      extends Object
      implements org.kie.internal.task.api.TaskContext, org.kie.api.runtime.RequestContext

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskContext()` |
    `TaskContext​(org.kie.api.runtime.Context context, org.kie.api.runtime.Environment environment, TaskEventSupport taskEventSupport)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `get​(String string)` |
    `org.kie.api.runtime.Context` | `getApplicationContext()` |
    `org.kie.internal.command.ContextManager` | `getContextManager()` |
    `org.kie.api.runtime.Context` | `getConversationContext()` |
    `LifeCycleManager` | `getMvelLifeCycleManager()` |
    `String` | `getName()` |
    `Map<String,​Object>` | `getOutputs()` |
    `org.kie.internal.task.api.TaskPersistenceContext` | `getPersistenceContext()` |
    `Object` | `getResult()` |
    `org.kie.internal.task.api.TaskAdminService` | `getTaskAdminService()` |
    `org.kie.internal.task.api.TaskAttachmentService` | `getTaskAttachmentService()` |
    `org.kie.internal.task.api.TaskCommentService` | `getTaskCommentService()` |
    `org.kie.internal.task.api.TaskContentService` | `getTaskContentService()` |
    `org.kie.internal.task.api.TaskDeadlinesService` | `getTaskDeadlinesService()` |
    `org.kie.internal.task.api.TaskDefService` | `getTaskDefService()` |
    `TaskEventSupport` | `getTaskEventSupport()` |
    `org.kie.internal.task.api.TaskIdentityService` | `getTaskIdentityService()` |
    `org.kie.internal.task.api.TaskInstanceService` | `getTaskInstanceService()` |
    `org.kie.internal.task.api.TaskQueryService` | `getTaskQueryService()` |
    `TaskRuleService` | `getTaskRuleService()` |
    `org.kie.api.task.UserGroupCallback` | `getUserGroupCallback()` |
    `String` | `getUserId()` |
    `boolean` | `has​(String identifier)` |
    `org.kie.api.task.model.Task` | `loadTaskVariables​(org.kie.api.task.model.Task task)` |
    `void` | `remove​(String string)` |
    `void` | `removeOutput​(String identifier)` |
    `void` | `set​(String string, Object o)` |
    `void` | `setOutput​(String identifier, Object value)` |
    `void` | `setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |
    `void` | `setResult​(Object result)` |
    `void` | `setUserId​(String userId)` |
    `org.kie.api.runtime.RequestContext` | `with​(org.kie.api.KieBase kieBase)` |
    `org.kie.api.runtime.RequestContext` | `with​(org.kie.api.runtime.KieSession kieSession)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.RequestContext

      `getOutput, hasOutput`

- - ### Constructor Detail

    - #### TaskContext

          public TaskContext()

    - #### TaskContext

          public TaskContext​(org.kie.api.runtime.Context context,
                             org.kie.api.runtime.Environment environment,
                             TaskEventSupport taskEventSupport)

  - ### Method Detail

    - #### getTaskInstanceService

          public org.kie.internal.task.api.TaskInstanceService getTaskInstanceService()

    - #### getTaskDefService

          public org.kie.internal.task.api.TaskDefService getTaskDefService()

    - #### getTaskQueryService

          public org.kie.internal.task.api.TaskQueryService getTaskQueryService()

    - #### getTaskContentService

          public org.kie.internal.task.api.TaskContentService getTaskContentService()

    - #### getTaskCommentService

          public org.kie.internal.task.api.TaskCommentService getTaskCommentService()

    - #### getTaskAttachmentService

          public org.kie.internal.task.api.TaskAttachmentService getTaskAttachmentService()

    - #### getTaskIdentityService

          public org.kie.internal.task.api.TaskIdentityService getTaskIdentityService()

    - #### getTaskAdminService

          public org.kie.internal.task.api.TaskAdminService getTaskAdminService()

    - #### getTaskDeadlinesService

          public org.kie.internal.task.api.TaskDeadlinesService getTaskDeadlinesService()

    - #### getTaskRuleService

          public TaskRuleService getTaskRuleService()

    - #### getPersistenceContext

          public org.kie.internal.task.api.TaskPersistenceContext getPersistenceContext()

      Specified by:
        `getPersistenceContext` in interface `org.kie.internal.task.api.TaskContext`

    - #### setPersistenceContext

          public void setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

      Specified by:
        `setPersistenceContext` in interface `org.kie.internal.task.api.TaskContext`

    - #### get

          public Object get​(String string)

      Specified by:
        `get` in interface `org.kie.api.runtime.Context`

    - #### set

          public void set​(String string,
                          Object o)

      Specified by:
        `set` in interface `org.kie.api.runtime.Context`

    - #### getUserGroupCallback

          public org.kie.api.task.UserGroupCallback getUserGroupCallback()

      Specified by:
        `getUserGroupCallback` in interface `org.kie.api.task.TaskContext`
      Specified by:
        `getUserGroupCallback` in interface `org.kie.internal.task.api.TaskContext`

    - #### getMvelLifeCycleManager

          public LifeCycleManager getMvelLifeCycleManager()

    - #### getTaskEventSupport

          public TaskEventSupport getTaskEventSupport()

    - #### getContextManager

          public org.kie.internal.command.ContextManager getContextManager()

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.api.runtime.Context`

    - #### remove

          public void remove​(String string)

      Specified by:
        `remove` in interface `org.kie.api.runtime.Context`

    - #### has

          public boolean has​(String identifier)

      Specified by:
        `has` in interface `org.kie.api.runtime.Context`

    - #### loadTaskVariables

          public org.kie.api.task.model.Task loadTaskVariables​(org.kie.api.task.model.Task task)

      Specified by:
        `loadTaskVariables` in interface `org.kie.api.task.TaskContext`

    - #### getResult

          public Object getResult()

      Specified by:
        `getResult` in interface `org.kie.api.runtime.RequestContext`

    - #### setResult

          public void setResult​(Object result)

      Specified by:
        `setResult` in interface `org.kie.api.runtime.RequestContext`

    - #### with

          public org.kie.api.runtime.RequestContext with​(org.kie.api.KieBase kieBase)

      Specified by:
        `with` in interface `org.kie.api.runtime.RequestContext`

    - #### with

          public org.kie.api.runtime.RequestContext with​(org.kie.api.runtime.KieSession kieSession)

      Specified by:
        `with` in interface `org.kie.api.runtime.RequestContext`

    - #### getConversationContext

          public org.kie.api.runtime.Context getConversationContext()

      Specified by:
        `getConversationContext` in interface `org.kie.api.runtime.RequestContext`

    - #### getApplicationContext

          public org.kie.api.runtime.Context getApplicationContext()

      Specified by:
        `getApplicationContext` in interface `org.kie.api.runtime.RequestContext`

    - #### getOutputs

          public Map<String,​Object> getOutputs()

      Specified by:
        `getOutputs` in interface `org.kie.api.runtime.RequestContext`

    - #### setOutput

          public void setOutput​(String identifier,
                                Object value)

      Specified by:
        `setOutput` in interface `org.kie.api.runtime.RequestContext`

    - #### removeOutput

          public void removeOutput​(String identifier)

      Specified by:
        `removeOutput` in interface `org.kie.api.runtime.RequestContext`

    - #### getUserId

          public String getUserId()

      Specified by:
        `getUserId` in interface `org.kie.api.task.TaskContext`

    - #### setUserId

          public void setUserId​(String userId)

      Specified by:
        `setUserId` in interface `org.kie.internal.task.api.TaskContext`